# NAME

Trf_QueryOptions - Interface to procedures to query an option container.

# SYNOPSIS

    #include <transform.h>

    int Trf_QueryOptions
    (
    	Trf_Options options,
    	ClientData clientData
    );

# PARAMETERS

Trf_Options options
  Option container to query.
ClientData clientData
  Arbitrary information, as defined in Trf_TypeDefinition.clientData.

# DESCRIPTION

The result value decides wether the encoder- or decoder-set of vectors must be used during immediate execution of the transformer configured with the container contents.

# RETURNS

0
  Use decoder.
1
  Use encoder.

# SEE ALSO

Trf_Init , Trf_SafeInit , Trf_IsInitialized , Trf_CreateOptions , Trf_DeleteOptions , Trf_CheckOptions , Trf_SetOption , Trf_SetObjOption , Trf_SeekQueryOptions , Trf_WriteProc , Trf_CreateCtrlBlock , Trf_DeleteCtrlBlock , Trf_TransformCharacter , Trf_TransformBuffer , Trf_FlushTransformation , Trf_ClearCtrlBlock , Trf_QueryMaxRead , Trf_Register , Trf_ConverterOptions , Trf_MDStart , Trf_MDUpdate , Trf_MDUpdateBuf , Trf_MDFinal , Trf_MDCheck , Trf_RegisterMessageDigest , Trf_LoadLibrary , Trf_XorBuffer , Trf_ShiftRegister , Trf_FlipRegisterShort , Trf_FlipRegisterLong , Trf_InitStubs